Skip to content

Post Automation Slack Message

POST
/api/automations/slack/post
curl --request POST \
--url https://example.com/api/automations/slack/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "environment": "dev", "channel_id": "example", "team_id": "example", "message": "example", "automation_alias": "example", "thread_ts": "example", "allow_interactive_channel": false }'
Media typeapplication/json
AutomationSlackPostRequest
object
environment
Environment
string
default: dev
channel_id
required
Channel Id
string
team_id
Any of:
string
message
required
Message
string
>= 1 characters
automation_alias
Any of:
string
thread_ts
Any of:
string
allow_interactive_channel
Allow Interactive Channel
boolean

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}